Skip to content

Create a Discord webhook endpoint

POST
/v1/discord-endpoints
curl --request POST \
--url https://your-notavia-host/v1/discord-endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "label": "example", "webhook_url": "https://example.com", "default_username": "example", "default_avatar_url": "example" }'
Media type application/json
object
label
required
string
webhook_url
required

Discord webhook URL. Must match https://discord.com/api/webhooks/{id}/{token} (also accepts discordapp.com alias).

string format: uri
default_username
string
nullable
default_avatar_url
string
nullable
Example generated
{
"label": "example",
"webhook_url": "https://example.com",
"default_username": "example",
"default_avatar_url": "example"
}

Endpoint created.

Media type application/json

Discord webhook endpoint configuration.

object
id
string format: uuid
label
string
webhook_url_prefix

First 30 characters of the webhook URL for recognition only — full URL never returned.

string
default_username

Default bot username shown in Discord. Overridden per-send via template data.

string
nullable
default_avatar_url

Default bot avatar URL. Overridden per-send via template data.

string
nullable
last_success_at
string format: date-time
nullable
last_failure_at
string format: date-time
nullable
last_failure_reason
string
nullable
created_at
string format: date-time
Example generated
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"label": "example",
"webhook_url_prefix": "example",
"default_username": "example",
"default_avatar_url": "example",
"last_success_at": "2026-04-15T12:00:00Z",
"last_failure_at": "2026-04-15T12:00:00Z",
"last_failure_reason": "example",
"created_at": "2026-04-15T12:00:00Z"
}

Validation or request error.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Missing or invalid credentials.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Credentials do not have the required scope.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}